public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "罗百科" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/stockfish/
Date: Wed, 20 Apr 2022 08:02:07 +0000 (UTC)	[thread overview]
Message-ID: <1650441717.7fb90707f9879732ece1a9831980f62b960999ee.patrick@gentoo> (raw)

commit:     7fb90707f9879732ece1a9831980f62b960999ee
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 20 08:01:57 2022 +0000
Commit:     罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Wed Apr 20 08:01:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fb90707

games-board/stockfish: Bump to 15

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 games-board/stockfish/Manifest            |  2 +
 games-board/stockfish/stockfish-15.ebuild | 74 +++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/games-board/stockfish/Manifest b/games-board/stockfish/Manifest
index 847669906340..56a3e17f5a6b 100644
--- a/games-board/stockfish/Manifest
+++ b/games-board/stockfish/Manifest
@@ -5,3 +5,5 @@ DIST stockfish-14-nn-3475407dc199.nnue 47721371 BLAKE2B e0d21fb2c282bb6c07a02747
 DIST stockfish-14.1-nn-13406b1dcbe0.nnue 47001243 BLAKE2B ef7deeeac9d4fb03e70695978b57d5f5e0861d4e1b5af4f6c5decade689a81f238553f87fbc06741c931dea6b5b672bd585df61f5960378e67fe3aa25b74b709 SHA512 89b1242262d10aba9de168d5fdcaf70b36f9ad84d79eca7245591174c679473d60251b30d8a05100967fd5bf0e8e59632749d6d77f2bbdce0a3f77b8d15dd5cc
 DIST stockfish-14.1.tar.gz 187792 BLAKE2B 84ed9da634a1e52579d0aa1ef356cd31a350ecafc44ebc632080b1c6c2c01d7a2cab8d7ab44065abd140b74e65bdcea8e3cc0a5e5c5daca8060303798df90c6f SHA512 b45ec44ba88a22e528a9ae417135851ace75006d0295eb77ab92dd1dc08f3c445a50047b1f2a4a7ab73773b2ce07bd98b601e40c6f75a63586c565cec5e33039
 DIST stockfish-14.tar.gz 183879 BLAKE2B fd2fbcd37f90baf6b81432ebee7aa5b949c05253e04ec361fa502687de597e90aa6c85a90a5fd1baea52da423264d8e14853303564c3bc6f37bc98de890c5d3c SHA512 90025c0559d09f950732c051362711bed7f22e5495daeadf1ac8d7b1be9ede7e9aff80ca8755fccd95bdb48e2b2ea4b4355e02cd9112ac8e5eec457774289f34
+DIST stockfish-15-nn-6877cd24400e.nnue 47001499 BLAKE2B 12d9c250e7fc920aa1c575bdfa280ee648419307d7bb30dbda0e52a7a4b92a15063fba9a00e04c4201602d8778e181f8fff73a2f5a2963f197fb30020fdf78a0 SHA512 456961b01c7b7a852ac23eb9de8aca65204d5d0566868c998eb8918abd9c9eef7f7fb08ac08a7750eaede451859f93a15e92e1a14ecc269268dadb9a7b0eb135
+DIST stockfish-15.tar.gz 189578 BLAKE2B 49af86be2d926ad51021edc119fee260d54fbb37d22d9e0883c382a60d6d0f742b7eee5df296b1dc85552e24269e97c172df70e0a894b328e5bfa92d0614d608 SHA512 d79f713654d5ff0b7f158394c887dce015ef613242e52ef55575c024255da6f6a6bdfe974ff1037599fc99ddfdc2774e37bbc6b8fc88ed0df59590f820a27ffa

diff --git a/games-board/stockfish/stockfish-15.ebuild b/games-board/stockfish/stockfish-15.ebuild
new file mode 100644
index 000000000000..42d1b704aea0
--- /dev/null
+++ b/games-board/stockfish/stockfish-15.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Free UCI chess engine, claimed to be the strongest in the world"
+HOMEPAGE="https://stockfishchess.org/"
+
+NNUE_FILE="nn-6877cd24400e.nnue"
+
+SRC_URI="https://github.com/official-stockfish/Stockfish/archive/sf_${PV}.tar.gz -> ${P}.tar.gz
+	https://tests.stockfishchess.org/api/nn/${NNUE_FILE} -> ${P}-${NNUE_FILE}"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="cpu_flags_arm_v7 cpu_flags_x86_avx2 cpu_flags_x86_popcnt cpu_flags_x86_sse debug
+	general-32 general-64 +optimize"
+
+DEPEND="|| ( app-arch/unzip app-arch/zip )"
+RDEPEND=""
+
+S="${WORKDIR}/Stockfish-sf_${PV}/src"
+
+src_prepare() {
+	default
+
+	cp "${DISTDIR}"/${P}-${NNUE_FILE} ${NNUE_FILE} || die "copying the nnue file failed"
+
+	# prevent pre-stripping
+	sed -e 's:-strip $(BINDIR)/$(EXE)::' -i Makefile \
+		|| die 'failed to disable stripping in the Makefile'
+}
+
+src_compile() {
+	local my_arch
+
+	# generic unoptimized first
+	use general-32 && my_arch=general-32
+	use general-64 && my_arch=general-64
+
+	# x86
+	use x86 && my_arch=x86-32-old
+	use cpu_flags_x86_sse && my_arch=x86-32
+
+	# amd64
+	use amd64 && my_arch=x86-64
+	use cpu_flags_x86_popcnt && my_arch=x86-64-modern
+
+	# both bmi2 and avx2 are part of hni (haswell new instructions)
+	use cpu_flags_x86_avx2 && my_arch=x86-64-bmi2
+
+	# other architectures
+	use cpu_flags_arm_v7 && my_arch=armv7
+	use ppc && my_arch=ppc
+	use ppc64 && my_arch=ppc64
+
+	# Skip the "build" target and use "all" instead to avoid the config
+	# sanity check (which would throw a fit about our compiler). There's
+	# a nice hack in the Makefile that overrides the value of CXX with
+	# COMPILER to support Travis CI and we abuse it to make sure that we
+	# build with our compiler of choice.
+	emake all ARCH="${my_arch}" \
+		COMP="$(tc-getCXX)" \
+		COMPILER="$(tc-getCXX)" \
+		debug=$(usex debug "yes" "no") \
+		optimize=$(usex optimize "yes" "no")
+}
+
+src_install() {
+	dobin "${PN}"
+	dodoc ../AUTHORS ../README.md
+}


             reply	other threads:[~2022-04-20  8:02 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-20  8:02 罗百科 [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-23 16:54 [gentoo-commits] repo/gentoo:master commit in: games-board/stockfish/ Sam James
2024-10-27  4:05 Sam James
2024-10-27  2:53 Sam James
2024-09-13 14:25 Patrick Lauer
2024-08-02  8:03 Matthias Maier
2024-07-04  4:55 Matthias Maier
2024-02-25  7:51 Patrick Lauer
2024-02-25  7:51 Patrick Lauer
2024-02-25  7:51 Patrick Lauer
2024-01-04 15:46 罗百科
2023-11-15  5:24 Sam James
2023-07-01 16:34 罗百科
2023-06-04 10:54 WANG Xuerui
2022-12-06 16:23 罗百科
2022-09-30 11:51 Agostino Sarubbo
2022-09-29 19:59 Sam James
2022-04-20 16:51 罗百科
2022-03-20  0:26 Sam James
2021-10-30  7:11 罗百科
2021-07-03 19:06 罗百科
2021-05-17  7:49 Agostino Sarubbo
2021-05-17  7:47 Agostino Sarubbo
2021-03-01  0:40 Matthias Maier
2021-03-01  0:40 Matthias Maier
2020-02-28  2:00 Matthias Maier
2020-02-28  1:17 Matthias Maier
2020-02-28  1:17 Matthias Maier
2020-02-28  1:17 Matthias Maier
2019-07-02 11:56 Agostino Sarubbo
2019-07-02 10:33 Agostino Sarubbo
2019-06-20 18:02 Sergei Trofimovich
2018-06-11 16:28 Aaron Bauman
2017-01-27  9:07 Agostino Sarubbo
2017-01-27  9:02 Agostino Sarubbo
2017-01-26 19:48 Matthias Maier
2016-11-17  5:20 Matthias Maier
2016-11-17  5:20 Matthias Maier
2016-08-25  0:03 Michael Orlitzky
2016-07-07 19:48 Austin English
2016-05-28 10:52 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650441717.7fb90707f9879732ece1a9831980f62b960999ee.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox